Bug 174882 - PECL looking for invalid/nonexistent path
PECL looking for invalid/nonexistent path
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php-pear (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 07:28 EST by Reuben Farrelly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-04 11:12:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-12-03 07:28:01 EST
Something is amiss with the paths in pecl shipped in php-pear-1.4.5-2:

[root@tornado docs]# pecl -v
Could not open input file:
/usr/src/build/651478-noarch/install/usr/share/pear/peclcmd.php
[root@tornado docs]#

In fact any argument to pecl gives the same output.

There is also a similar path listed in /etc/pear.ini which may possibly be a
symptom of the same problem.
Comment 1 Joe Orton 2005-12-04 11:12:40 EST
Thanks for the report, I've fixed the scripts.  It should be only the sig_keydir
setting which is showing up wrong in pear.conf, that needs fixing too though yes.

Note You need to log in before you can comment on or make changes to this bug.